Deleted tlh.wikt blocks SUL process
Closed, ResolvedPublic

Description

The already deleted tlk.wiktionary blocks the SUL process at least for User:Jon because wikt:tlh:User:Jon has still sysop rights: http://tools.wikimedia.de/~vvv/sulutil.php?user=Jon

Error message from Special:MergeAccount:

Login unification status
The migration system could not confirm that you are the owner of the home wiki account for your username.
Another wiki was determined as the home account for your username; follow the link below and log in there to finish your account migration.
Home wiki
The password and e-mail address set at this wiki will be used for your unified account. You will be able to change which is your home wiki later.

  • tlh.wiktionary.org (home wiki)

I asked a steward to desysop wikt:tlh:User:Jon, but he was unable to do it: 'Database tlh.wiktionary does not exist or is not local.'


Version: unspecified
Severity: major

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz14300.
Raymond created this task.Via LegacyMay 27 2008, 9:13 PM
bzimport added a comment.Via ConduitMay 27 2008, 9:19 PM

thogol wrote:

Additionally, tlh.wiktionary still occurs in the unified account list as a blue link and in the site matrix in the "other wikis" section, but if you click it (in both cases), it's Error 404: Page not found.

BR, Thogo.

brion added a comment.Via ConduitMay 28 2008, 1:17 AM

Should presumably exclude known locked wikis from the SUL set...

brion added a comment.Via ConduitMay 28 2008, 9:08 PM

Closed wikis are now excluded from CentralAuth and should no longer interfere.

bzimport added a comment.Via ConduitMay 28 2008, 10:53 PM

spacebirdy wrote:

Hello, mo.wiki and ang.wikisource still show up and thus block the SUL process,

many thanks for Your help.

bzimport added a comment.Via ConduitMay 29 2008, 1:18 AM

Wiki.Melancholie wrote:

Anything went wrong with that fix from 2008-05-28!
I created a global account weeks ago, and changed password in between; that password worked for all wikis until May 28/29.

But suddenly [[:be:]] and [[:be-x-old:]] require the old, obsolete password! Have they been excluded somehow? Note that those wikis are *not* closed ones.

bzimport added a comment.Via ConduitMay 29 2008, 4:43 AM

spacebirdy wrote:

Open (SUL blocking accounts) suddenly have increased: list:

  • ak.wikibooks.org
  • ang.wikisource.org
  • ay.wikibooks.org
  • cho.wikipedia.org
  • ho.wikipedia.org
  • hz.wikipedia.org
  • ii.wikipedia.org
  • kj.wikipedia.org
  • kr.wikipedia.org
  • kr.wikiquote.org
  • mi.wikibooks.org
  • mo.wikipedia.org
  • mo.wiktionary.org
  • mus.wikipedia.org
  • nds.wikiquote.org
  • or.wiktionary.org
  • qu.wikiquote.org
  • rm.wiktionary.org
  • sc.wiktionary.org
  • tokipona.wikipedia.org
  • tokipona.wikibooks.org
  • tokipona.wikiquote.org
  • tokipona.wiktionary.org
brion added a comment.Via ConduitMay 29 2008, 4:46 PM

Re comment #5:

be.wikipedia.org, be-x-old.wikipedia.org, ja.wiktionary.org were incorrectly added to the closed list as they had lockfiles set (but not present, thus not actually locked). I have removed them from the list.

Re comment #4, #6:

Accounts *already listed* might still be blocking the process. Will take a peek, see if they can be easily removed from the dbs.

brion added a comment.Via ConduitMay 29 2008, 5:06 PM
  • Bug 12097 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitMay 29 2008, 6:24 PM

I've removed the entries for the closed wikis from the unattached account list. Should clear things up.

bzimport added a comment.Via ConduitMay 29 2008, 10:02 PM

spacebirdy wrote:

Hello Brion, sorry but

*mi.wikibooks
*sc.wiktionary

remain :(

Thanks again

brion added a comment.Via ConduitMay 30 2008, 4:20 PM

A bunch more wikis were closed in a different way by hardcoding wgReadOnly instead of setting a lockfile, so didn't get collected on the first pass.

Have readded them and removed the global entries.

bzimport added a comment.Via ConduitMay 30 2008, 4:24 PM

spacebirdy wrote:

Brion, sc.wiktionary remains. Thanks :)

brion added a comment.Via ConduitMay 30 2008, 7:41 PM

[i believe that one got fixed as well since]

bzimport added a comment.Via ConduitMay 30 2008, 8:23 PM

spacebirdy wrote:

[yes, thanks a lot!]

bzimport added a comment.Via ConduitJun 9 2008, 8:47 PM

spacebirdy wrote:

Hello Brion, iu.wiktionary.org was opened recently again, please can it be accessible for sul accounts again? (see bug 13967 )

Many thanks in advance.

brion added a comment.Via ConduitJun 10 2008, 12:04 AM

The reopener forgot to remove it from the closed wikis group, thus breaking it.

I've now set up a general closed message for the closed group, which will ensure that forgetting to remove it will leave it in the closed state, for some basic consistency.

bzimport added a comment.Via ConduitJun 10 2008, 1:09 AM

spacebirdy wrote:

This now caused the wiki to be closed again, please can You reopen it and set it to be accessible through sul, it was closed by mistake, there were active contributors.
Thanks again.

MarcoAurelio moved this task to Done on the MediaWiki-extensions-CentralAuth workboard.Via WebMay 5 2015, 6:12 PM

Add Comment